---     
tags: 
  - Backups
description: Returns info on database dumps and the AWS vault.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
        archives:
          type: array
          example: [
            {
                "ArchiveDescription": "Name",
                "ArchiveId": "id",
                "CreationDate": "Fri, 01 Mar 2024 12:00:54 GMT",
                "SHA256TreeHash": "hash",
                "Size": "20MB",
                "beyond_retention_period": false
            }
        ]
        existing_dumps:
          type: array
          example: [{
            "beyond_retention_period": false,
            "name": "date-database_name.dump"
          }]
        inventory_date:
          type: string
          example: 'Wed, 06 Mar 2024 21:14:54 GMT'
        jobs:
          type: array
          example: [
              {
                  "completed": true,
                  "completed_at": "Thu, 07 Mar 2024 16:47:22 GMT",
                  "created_at": "Thu, 07 Mar 2024 13:01:01 GMT",
                  "id": "id"
              }
          ]
        not_uploaded:
          type: array
          example: ["date-database_name.dump"]
        retention_period:
          type: string
          example: "90 days"
        vault_arn:
          type: string
          example: "arn:aws:glacier:eu-west-2:vault_id:vaults/vault_name"
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'

